import { AuthService } from './secure-http/auth.service';
import { Observable } from 'rxjs/Observable';
import { RequestOptionsArgs, Response } from '@angular/http';
import { AuthHttp } from 'angular2-jwt';
import 'rxjs/add/operator/catch';
export declare class SecureHttp {
    private http;
    private authService;
    constructor(http: AuthHttp, authService: AuthService);
    get(url: string, options?: RequestOptionsArgs): Observable<Response>;
    post(url: string, body: any, options?: RequestOptionsArgs): Observable<Response>;
    put(url: string, body: any, options?: RequestOptionsArgs): Observable<Response>;
    delete(url: string, options?: RequestOptionsArgs): Observable<Response>;
    patch(url: string, body: any, options?: RequestOptionsArgs): Observable<Response>;
    head(url: string, options?: RequestOptionsArgs): Observable<Response>;
    options(url: string, options?: RequestOptionsArgs): Observable<Response>;
    private _makeRequest(resource, makeRequest);
    tokenRequestFailed(error: string): Observable<string>;
    apiCallFailed(response: Response): Observable<Response>;
}
